aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Mokrejš <mmokrejs@fold.natur.cuni.cz>2016-03-31 23:57:29 +0200
committerMartin Mokrejš <mmokrejs@fold.natur.cuni.cz>2016-03-31 23:57:29 +0200
commitb4e77f4cf03a055b7af8a2566bc1252590da2662 (patch)
tree5f3fa7ed349dbebb61434ba3130dcdb766d46174 /sci-biology
parentsci-biology/cross_genome: polish ebuild syntax (diff)
downloadsci-b4e77f4cf03a055b7af8a2566bc1252590da2662.tar.gz
sci-b4e77f4cf03a055b7af8a2566bc1252590da2662.tar.bz2
sci-b4e77f4cf03a055b7af8a2566bc1252590da2662.zip
sci-biology/karect: new package
Package-Manager: portage-2.2.28
Diffstat (limited to 'sci-biology')
-rw-r--r--sci-biology/karect/Manifest1
-rw-r--r--sci-biology/karect/karect-1.0.0.ebuild33
-rw-r--r--sci-biology/karect/metadata.xml12
3 files changed, 46 insertions, 0 deletions
diff --git a/sci-biology/karect/Manifest b/sci-biology/karect/Manifest
new file mode 100644
index 000000000..2360fdf9f
--- /dev/null
+++ b/sci-biology/karect/Manifest
@@ -0,0 +1 @@
+DIST karect-1.0.0.tar.gz 239445 SHA256 9d2a65af2952c994705ea196cb580511b6f28cff6722880c83cebd9fb5b25da2 SHA512 c833a862c15027eaf84eff7ddf1cf36a369fbd94bd44ab596fcee89e402e1517ba3ef2646591365d273f98f1e3f13b6ad990f73660e440f0a45c87b84a08491c WHIRLPOOL f7846ae0eae3fea4ce01c53c1203e6b290f2007bcda14117d532a475486627b15a02c5a486b80187c1b62d4faba6b9cf8a02d177c3f4c059e0d457aa220f31e3
diff --git a/sci-biology/karect/karect-1.0.0.ebuild b/sci-biology/karect/karect-1.0.0.ebuild
new file mode 100644
index 000000000..91899101e
--- /dev/null
+++ b/sci-biology/karect/karect-1.0.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit toolchain-funcs
+
+DESCRIPTION="Correct mismatches and indels of raw reads incl. paired-end"
+HOMEPAGE="https://github.com/aminallam/karect
+ http://bioinformatics.oxfordjournals.org/content/31/21/3421.abstract"
+SRC_URI="https://codeload.github.com/aminallam/karect/legacy.tar.gz/master -> karect-1.0.0.tar.gz"
+# actually fetches aminallam-karect-v1.0-0-gba3ad54.tar.gz
+# https://github.com/aminallam/karect.git
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}"/aminallam-karect-ba3ad54/
+
+src_compile(){
+ $(tc-getCXX) ${CXXFLAGS} -pthread -lpthread karect.cpp -o karect || die
+}
+
+src_install(){
+ dobin karect
+ dodoc karect_manual.pdf README README.md
+}
diff --git a/sci-biology/karect/metadata.xml b/sci-biology/karect/metadata.xml
new file mode 100644
index 000000000..f68a1b6fa
--- /dev/null
+++ b/sci-biology/karect/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>mmokrejs@fold.natur.cuni.cz</email>
+ <name>Martin Mokrejs</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>sci-biology@gentoo.org</email>
+ <name>Gentoo Biology Project</name>
+ </maintainer>
+</pkgmetadata>